Bug 521355 - handle keyring denials correctly
Summary: handle keyring denials correctly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-05 03:24 UTC by Michael Ploujnikov
Modified: 2010-12-05 06:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:29:14 UTC


Attachments (Terms of Use)
screenshot (68.58 KB, image/png)
2009-09-05 03:30 UTC, Michael Ploujnikov
no flags Details

Description Michael Ploujnikov 2009-09-05 03:24:02 UTC
Description of problem:
I was trying to rename a recently connected to wireless network by removing the "Auto" prefix, but I could not get this change to take place in nm-connection-editor because the "Apply" button was always grayed out.

Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.7.1-8.git20090708.fc11.x86_64
NetworkManager-0.7.1-8.git20090708.fc11.x86_64
xmonad-0.8.1-13.fc11.x86_64
xorg-x11-xinit-session-1.0.9-9.fc11.x86_64
stalonetray-0.7.6-3.fc11.x86_64

How reproducible:
Always, but only with one of the wireless networks. The other two I have don't exhibit this problem.

Steps to Reproduce:
1. run nm-applet &
2. right click on its the systray icon and select "Edit Connections..."
3. open the "Wireless" tab
4. select the "Auto Gramps" network and click the "Edit" button
5. notice the state of the "Apply" button in the new window
6. remove the "Auto " string from the SSID
7. observe the state of the "Apply" button

Actual results:
the "Apply" button always appears disabled/grayed out

Expected results:
I expect the "Apply" button to appear enabled (with a coloured icon) and I expect clicking on the button to save my changes to the wireless network in question.

Additional info:
I tried this while connected to the wireless network as well as after I was out of its range.
I don't think it should matter, but instead of GNOME, I'm running the Xmonad window manager through ~/.xsession (xorg-x11-xinit-session) and I'm using stalonetray systray.

Comment 1 Michael Ploujnikov 2009-09-05 03:30:54 UTC
Created attachment 359855 [details]
screenshot

I forgot to add a screenshot of what I'm seeing.

Comment 2 Dan Williams 2009-11-07 03:54:06 UTC
To get more debug output, could you run 'nm-connection-editor' from a terminal, try to make the change, and then paste the nm-connection-editor output into this bug?  Thanks!

You might also try this update;

NetworkManager-0.7.1.998-1.fc11 has been pushed to the Fedora
11 testing repository.  If problems still persist, please make note of it in
this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update
here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10696

Comment 3 Michael Ploujnikov 2009-11-07 15:45:42 UTC
This is what I get:
$ nm-connection-editor
#selected wireless tab    

(nm-connection-editor:29979): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(nm-connection-editor:29979): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(nm-connection-editor:29979): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(nm-connection-editor:29979): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

** (nm-connection-editor:29979): WARNING **: Invalid setting Wireless Security: Invalid wireless security

#clicked to edit "Auto Gramps"

** (nm-connection-editor:29979): WARNING **: Invalid setting Wireless Security: Invalid wireless security

** (nm-connection-editor:29979): WARNING **: Invalid setting Wireless Security: Invalid wireless security
#removed "Auto" from name by selecting and pressing DELETE key 

Lines starting with # are my comments to show what I did.

I noticed that the "Apply" button isn't grayed out for all networks. I'm able to successfully edit network names for more recently added ones.

The above test was done on F11 with: NetworkManager-0.7.1-8.git20090708.fc11.x86_64 NetworkManager-gnome-0.7.1-8.git20090708.fc11.x86_64.

Comment 4 Michael Ploujnikov 2009-11-07 15:50:22 UTC
This specific network behaviour hasn't changed with the following packages:

NetworkManager-0.7.1.997-1.fc11.x86_64
NetworkManager-glib-0.7.1.997-1.fc11.x86_64
NetworkManager-gnome-0.7.1.997-1.fc11.x86_64

Comment 5 Dan Williams 2009-11-10 00:09:43 UTC
What kind of wifi security is it?  Just WPA-PSK or something else?  Does the password show up in the Wifi Security tab?

Comment 6 Michael Ploujnikov 2009-11-10 01:22:42 UTC
The security is "WPA & WPA2 Personal". The password does not show up although I remember entering it multiple times when originally connecting to the network.

Comment 7 Dan Williams 2009-11-12 08:02:44 UTC
If you re-enter the WPA passphrase does the Apply button re-enable itself?  If you then apply teh changes, and re-edit the connection, does the passphrase come back or is it blank?

Comment 8 Michael Ploujnikov 2009-11-19 17:12:27 UTC
(In reply to comment #7)
> If you re-enter the WPA passphrase does the Apply button re-enable itself?
Yes

>  If you then apply teh changes, and re-edit the connection, does the passphrase
> come back or is it blank?  

The passphrase comes back and now I'm able to edit the network name.

I'd like to note my guess for why the passphrase wasn't visible before. I recall that when connecting to new encrypted networks, I would get a prompt to save the passphrase in a keyring. I would be given an option to enter my keyring password and "allow" and "deny" buttons. Since I didn't know the keyring password, I would just click "deny".

Btw, this last test was performed on F12 with:
NetworkManager-0.7.996-6.git20091021.fc12.x86_64
NetworkManager-glib-0.7.996-6.git20091021.fc12.x86_64
NetworkManager-gnome-0.7.996-6.git20091021.fc12.x86_64

Comment 9 Dan Williams 2009-11-20 20:59:48 UTC
Yeah, that would cause the problem.  If you hit deny, your password isn't saved, and thus you need to enter it again in the connection editor.  So I think this is expected behavior, do you mind if I close as NOTABUG?

Comment 10 Michael Ploujnikov 2009-11-20 22:44:40 UTC
I would mind if this bug was closed because I don't think that n-c-e should behave as it does now if the passkey isn't stored. It doesn't make sense from a user's perspective.

Comment 11 Bug Zapper 2010-11-04 10:12:29 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-12-05 06:29:14 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.